Partners
List partners
Retrieve a paginated list of all affiliate partners in your program
GET
/
v1
/
partners
List partners
curl --request GET \
--url https://api.example.com/v1/partnersimport requests
url = "https://api.example.com/v1/partners"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"email": "[email protected]",
"created_at": "2025-04-30T16:44:13.000000Z",
"updated_at": "2025-04-30T16:44:13.000000Z",
"id": "partner_123",
"name": "John",
"surname": "Doe",
"approved": true,
"status": "active",
"custom_fields": []
}
],
"links": {
"first": "https://api.partnero.com/v1/partners?page=1",
"last": null,
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"path": "https://api.partnero.com/v1/partners",
"per_page": 15,
"to": 1
},
"status": 1
}
Endpoint
GET https://api.partnero.com/v1/partners
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | integer | 10 | Number of results per page (10-100) |
page | integer | 1 | Page number for pagination |
Request
cURL
curl --location 'https://api.partnero.com/v1/partners' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'
Response
{
"data": [
{
"email": "[email protected]",
"created_at": "2025-04-30T16:44:13.000000Z",
"updated_at": "2025-04-30T16:44:13.000000Z",
"id": "partner_123",
"name": "John",
"surname": "Doe",
"approved": true,
"status": "active",
"custom_fields": []
}
],
"links": {
"first": "https://api.partnero.com/v1/partners?page=1",
"last": null,
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"path": "https://api.partnero.com/v1/partners",
"per_page": 15,
"to": 1
},
"status": 1
}
Response fields
Partners — data[]
Partners — data[]
| Field | Type | Description |
|---|---|---|
id | string | Unique partner identifier |
email | string | Partner’s email address |
name | string | Partner’s first name |
surname | string | Partner’s last name |
status | string | Partner status: active, pending, archived, deleted |
approved | boolean | Whether the partner is approved |
custom_fields | array | Custom signup field values |
created_at | string | ISO 8601 timestamp |
updated_at | string | ISO 8601 timestamp |
Pagination — links, meta
Pagination — links, meta
| Field | Type | Description |
|---|---|---|
links.first | string | URL to the first page |
links.last | string|null | URL to the last page |
links.prev | string|null | URL to the previous page |
links.next | string|null | URL to the next page |
meta.current_page | integer | Current page number |
meta.from | integer | First item number on this page |
meta.per_page | integer | Items per page |
meta.to | integer | Last item number on this page |
meta.path | string | Base URL for the endpoint |
Search partners
Use the search endpoint to find partners by ID, email, or referral key:GET https://api.partnero.com/v1/partners:search
| Parameter | Type | Description |
|---|---|---|
id | string | Partner ID |
email | string | Partner’s email address |
key | string | Any referral key belonging to the partner |
curl --location 'https://api.partnero.com/v1/partners:[email protected]' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'
curl --location 'https://api.partnero.com/v1/partners:search?key=ref_123' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'
⌘I
List partners
